Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.digested
Class DGrammarPattern

    java.lang.Object
      org.kohsuke.rngom.digested.DPattern
          org.kohsuke.rngom.digested.DGrammarPattern

All Implemented Interfaces:
  java.lang.Iterable<DDefine>, ParsedPattern

    public class DGrammarPattern

extends DPattern
implements java.lang.Iterable<DDefine>

<grammar> pattern, which is a collection of named patterns.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

Constructor Summary
`DGrammarPattern()`

Method Summary
`
`<V> V`
` | `accept(DPatternVisitor<V> visitor)`
`DDefine` | `get(java.lang.String name)` Gets the named pattern by its name.
`DPattern` | `getStart()` Gets the start pattern.
`boolean` | `isNullable()` Returns true if this pattern is nullable.
`java.util.Iterator<DDefine>` | `iterator()` Iterates all the `DDefine`s in this grammar.

Methods inherited from class org.kohsuke.rngom.digested.DPattern
`createParseable, getAnnotation, getLocation, isAttribute, isElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DGrammarPattern

    public DGrammarPattern()

Method Detail

### getStart

    public DPattern getStart()

  Gets the start pattern.

### get

    public DDefine get(java.lang.String name)

  Gets the named pattern by its name.

  Returns:
    null if not found.

### iterator

    public java.util.Iterator<DDefine> iterator()

  Iterates all the `DDefine`s in this grammar.

  Specified by:
    `iterator` in interface `java.lang.Iterable<DDefine>`

### isNullable

    public boolean isNullable()

  Description copied from class: `DPattern`
  Returns true if this pattern is nullable. A nullable pattern is a pattern that can match the empty sequence.

  Specified by:
    `isNullable` in class `DPattern`

### accept

    public <V> V accept(DPatternVisitor<V> visitor)

  Specified by:
    `accept` in class `DPattern`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD